Skip to main content
GET
/
api
/
v1
/
alert-channels
List active alert channels for the authenticated org
curl --request GET \
  --url https://api.devhelm.io/api/v1/alert-channels \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/alert-channels"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/alert-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "enabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "displayConfig": {
        "recipients": [
          "<string>"
        ],
        "region": "<string>",
        "severityOverride": "<string>",
        "mentionRoleId": "<string>",
        "customHeaders": {},
        "chatId": "<string>",
        "priority": "<string>",
        "channel": "<string>",
        "routingKey": "<string>",
        "deviceIden": "<string>",
        "teamId": "<string>",
        "visibility": "<string>",
        "severity": "<string>",
        "site": "<string>",
        "projectKey": "<string>"
      },
      "configHash": "<string>",
      "lastDeliveryAt": "2023-11-07T05:31:56Z",
      "lastDeliveryStatus": "<string>"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

type
enum<string>

Filter by channel integration type (e.g. SLACK, WEBHOOK, EMAIL)

Available options:
email,
webhook,
slack,
pagerduty,
opsgenie,
teams,
discord,
telegram,
google_chat,
pushover,
mattermost,
splunk_oncall,
pushbullet,
linear,
incident_io,
rootly,
zapier,
datadog,
jira,
gitlab
managedBy
enum<string>

Filter by managed-by source (DASHBOARD, CLI, TERRAFORM, MCP, API)

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API

Case-insensitive contains-match on the channel name

pageable
object
required

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null